Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.cms.model
Interface Content

All Superinterfaces:
  java.lang.Cloneable, CMSObject

All Known Implementing Classes:
  ContentImpl

    public interface Content

extends CMSObject, java.lang.Cloneable

CMS content interface.

Version:
  $Id: Content.java 5929 2006-12-22 20:15:42Z sohil.shah@jboss.com $
Author:
  Roy Russo

Method Summary
`java.lang.String` | `getApprovalProcessId()`
`byte[]` | `getBytes()`
`java.lang.String` | `getContentAsString()`
`java.lang.String` | `getEncoding()`
`java.util.Locale` | `getLocale()`
`java.lang.String` | `getMimeType()`
`long` | `getSize()`
`java.io.InputStream` | `getStream()`
`java.lang.String` | `getVersionNumber()`
`boolean` | `isLive()`
`boolean` | `isWaitingForPublishApproval()` this is used to signify that a content is waiting to be approved before being published to go live
`void` | `setApprovalProcessId(java.lang.String processId)`
`void` | `setBytes(byte[] bytes)`
`void` | `setEncoding(java.lang.String encoding)`
`void` | `setLive(boolean live)`
`void` | `setLocale(java.util.Locale locale)`
`void` | `setMimeType(java.lang.String type)`
`void` | `setSize(long size)`
`void` | `setStream(java.io.InputStream stream)`
`void` | `setVersionNumber(java.lang.String versionNumber)`
`void` | `setWaitingForPublishApproval(boolean isWaitingForPublishApproval)`

Methods inherited from interface org.jboss.portal.cms.model.CMSObject
`getBasePath, getBaseUUID, getCreationDate, getDescription, getLastModified, getName, getParentUUID, getTitle, getVersionPath, getVersionUUID, setBasePath, setBaseUUID, setCreationDate, setDescription, setLastModified, setName, setParentUUID, setTitle, setVersionPath, setVersionUUID`

Method Detail

### getMimeType

    java.lang.String getMimeType()

### setMimeType

    void setMimeType(java.lang.String type)

### getSize

    long getSize()

  Returns:
    the

### setSize

    void setSize(long size)

### getStream

    java.io.InputStream getStream()

  Returns:
    Returns the content.

### setStream

    void setStream(java.io.InputStream stream)

  Parameters:
    `stream` - The content to set.

### getBytes

    byte[] getBytes()

  Returns:
    Returns the content.

### setBytes

    void setBytes(byte[] bytes)

  Parameters:
    `bytes` - The content to set.

### getVersionNumber

    java.lang.String getVersionNumber()

### setVersionNumber

    void setVersionNumber(java.lang.String versionNumber)

### getLocale

    java.util.Locale getLocale()

### setLocale

    void setLocale(java.util.Locale locale)

### getContentAsString

    java.lang.String getContentAsString()

### getEncoding

    java.lang.String getEncoding()

  Returns:
    Returns the encoding.

### setEncoding

    void setEncoding(java.lang.String encoding)

  Parameters:
    `encoding` - The encoding to set.

### isLive

    boolean isLive()

### setLive

    void setLive(boolean live)

### isWaitingForPublishApproval

    boolean isWaitingForPublishApproval()

  this is used to signify that a content is waiting to be approved before being published to go live

  Returns:

### setWaitingForPublishApproval

    void setWaitingForPublishApproval(boolean isWaitingForPublishApproval)

### getApprovalProcessId

    java.lang.String getApprovalProcessId()

  Returns:

### setApprovalProcessId

    void setApprovalProcessId(java.lang.String processId)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.